Skip to main content
POST
Duplicate a table

Authorizations

Authorization
string
header
required

Bearer token authentication using your API key

Path Parameters

org_id
string
required

Org ID

table_id
string
required

Table ID

Body

Schema for duplicating a table.

name
string
required

Human-readable name (e.g. "Companies"). 1-128 chars.

Required string length: 1 - 128

Response

200 - application/json
id
string
required
type
enum<string>
required
Available options:
custom,
contacts,
chats,
users
name
string | null
required

The name of the table.

Example:

"Companies"

description
string | null
required

The description of the table.

Example:

"Companies are organizations that own and manage other organizations."

icon
required

The picked icon. Null renders the default table icon.

color
enum<string> | null
required

The picked icon tint. Null renders the default color.

Available options:
red,
orange,
amber,
yellow,
lime,
green,
teal,
cyan,
sky,
blue,
indigo,
violet,
purple,
fuchsia,
pink,
rose,
neutral
display_field_id
string | null
required

The id of the display field.

archived
boolean
required

Whether the table is archived.

position
integer
required

Manual display order within the org.

fields
object[]
required
created_at
string<date-time> | null
required
updated_at
string<date-time> | null
required